
const UINT8 anaren_control_gatt_database[] =
{
	//Primary Service UUID:UUID_SERVICE_GATT:GATT Service
	PRIMARY_SERVICE_UUID16(
		0x1, 
		UUID_SERVICE_GATT),

	//Primary Service UUID:UUID_SERVICE_GAP:GAP Service
	PRIMARY_SERVICE_UUID16(
		0x2, 
		UUID_SERVICE_GAP),

		//Characteristic UUID:UUID_CHARACTERISTIC_DEVICE_NAME:Appearance characteristic
		CHARACTERISTIC_UUID16(
			0x3, //Handle
			0x4, //Handle Value
			UUID_CHARACTERISTIC_DEVICE_NAME, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ, //Property Flags
			LEGATTDB_PERM_READABLE, //Permission Flags
			0x10), //Size
			'B','L','E','B','O','A','R','D',0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

		//Characteristic UUID:UUID_CHARACTERISTIC_APPEARANCE:Appearance characteristic
		CHARACTERISTIC_UUID16(
			0x5, //Handle
			0x6, //Handle Value
			UUID_CHARACTERISTIC_APPEARANCE, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ, //Property Flags
			LEGATTDB_PERM_READABLE, //Permission Flags
			0x2), //Size
			BIT16_TO_8(APPEARANCE_GENERIC_TAG),

	//Primary Service UUID:UUID_SERVICE_DEVICE_INFORMATION:Device Information
	PRIMARY_SERVICE_UUID16(
		0x7, 
		UUID_SERVICE_DEVICE_INFORMATION),

		//Characteristic UUID:UUID_CHARACTERISTIC_MANUFACTURER_NAME_STRING:Manufacturer Name
		CHARACTERISTIC_UUID16(
			0x8, //Handle
			0x9, //Handle Value
			UUID_CHARACTERISTIC_MANUFACTURER_NAME_STRING, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ, //Property Flags
			LEGATTDB_PERM_READABLE, //Permission Flags
			0x6), //Size
			'A', 'n', 'a', 'r', 'e', 'n',

		//Characteristic UUID:UUID_CHARACTERISTIC_MODEL_NUMBER_STRING:Model Number
		CHARACTERISTIC_UUID16(
			0xa, //Handle
			0xb, //Handle Value
			UUID_CHARACTERISTIC_MODEL_NUMBER_STRING, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ, //Property Flags
			LEGATTDB_PERM_READABLE, //Permission Flags
			0x8), //Size
			'1', '2', '3', '4', 0x00, 0x00, 0x00, 0x00,

		//Characteristic UUID:UUID_CHARACTERISTIC_SYSTEM_ID:System ID
		CHARACTERISTIC_UUID16(
			0xc, //Handle
			0xd, //Handle Value
			UUID_CHARACTERISTIC_SYSTEM_ID, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ, //Property Flags
			LEGATTDB_PERM_READABLE, //Permission Flags
			0x8), //Size
			0x93,0xb8,0x63,0x80,0x5f,0x9f,0x91,0x71,

	//Primary Service UUID:ANAREN_SERVICE_UUID:Atmosphere Service
	PRIMARY_SERVICE_UUID128(
		0xe, 
		ANAREN_SERVICE_UUID),

		//Characteristic UUID:ANAREN_NOTIFY_UUID:Atmosphere Notify
		CHARACTERISTIC_UUID128(
			0xf, //Handle
			0x10, //Handle Value
			ANAREN_NOTIFY_UUID, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ | LEGATTDB_CHAR_PROP_NOTIFY, //Property Flags
			LEGATTDB_PERM_VARIABLE_LENGTH | LEGATTDB_PERM_READABLE, //Permission Flags
			0x80), //Size
			0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,

		CHAR_DESCRIPTOR_UUID16_WRITABLE(
			0x11,
			UUID_DESCRIPTOR_CLIENT_CHARACTERISTIC_CONFIGURATION,
			LEGATTDB_PERM_READABLE | LEGATTDB_PERM_WRITE_REQ,
			0x2),
				0x0,0x0,

		//Characteristic UUID:ANAREN_UUID_INT:INT
		CHARACTERISTIC_UUID128_WRITABLE(
			0x12, //Handle
			0x13, //Handle Value
			ANAREN_UUID_INT, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ | LEGATTDB_CHAR_PROP_WRITE, //Property Flags
			LEGATTDB_PERM_VARIABLE_LENGTH | LEGATTDB_PERM_READABLE | LEGATTDB_PERM_WRITE_CMD | LEGATTDB_PERM_WRITE_REQ | LEGATTDB_PERM_RELIABLE_WRITE, //Permission Flags
			0x4), //Size
			0x0,0x0,0x0,0x0,

		//Characteristic UUID:ANAREN_UUID_JSON:JSON
		CHARACTERISTIC_UUID128_WRITABLE(
			0x14, //Handle
			0x15, //Handle Value
			ANAREN_UUID_JSON, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ | LEGATTDB_CHAR_PROP_WRITE, //Property Flags
			LEGATTDB_PERM_VARIABLE_LENGTH | LEGATTDB_PERM_READABLE | LEGATTDB_PERM_WRITE_CMD | LEGATTDB_PERM_WRITE_REQ | LEGATTDB_PERM_RELIABLE_WRITE, //Permission Flags
			0x80), //Size
			0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,

		//Characteristic UUID:ANAREN_UUID_NOTIFY:NOTIFY
		CHARACTERISTIC_UUID128_WRITABLE(
			0x16, //Handle
			0x17, //Handle Value
			ANAREN_UUID_NOTIFY, //Characteristic UUID
			LEGATTDB_CHAR_PROP_READ | LEGATTDB_CHAR_PROP_WRITE, //Property Flags
			LEGATTDB_PERM_VARIABLE_LENGTH | LEGATTDB_PERM_READABLE | LEGATTDB_PERM_WRITE_CMD | LEGATTDB_PERM_WRITE_REQ | LEGATTDB_PERM_RELIABLE_WRITE, //Permission Flags
			0x80), //Size
			0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,

};
